public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-cluster/hpx/
Date: Wed, 15 May 2019 14:53:55 +0000 (UTC)	[thread overview]
Message-ID: <1557932005.a27abbaa95b9b5f585223a2680c560f093f389f4.asturm@gentoo> (raw)

commit:     a27abbaa95b9b5f585223a2680c560f093f389f4
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed May 15 14:17:01 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed May 15 14:53:25 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a27abbaa

sys-cluster/hpx: EAPI-7 bump, simpler REQUIRED_USE, use https

Drop unused multilib.eclass

Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sys-cluster/hpx/hpx-1.2.1.ebuild | 37 +++++++++++++++++--------------------
 1 file changed, 17 insertions(+), 20 deletions(-)

diff --git a/sys-cluster/hpx/hpx-1.2.1.ebuild b/sys-cluster/hpx/hpx-1.2.1.ebuild
index 3fb751c6c5a..e4605b1b99c 100644
--- a/sys-cluster/hpx/hpx-1.2.1.ebuild
+++ b/sys-cluster/hpx/hpx-1.2.1.ebuild
@@ -1,48 +1,45 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-CMAKE_MAKEFILE_GENERATOR="ninja"
 PYTHON_COMPAT=( python{2_7,3_5,3_6} )
 
-if [ ${PV} == 9999 ] ; then
+if [[ ${PV} == 9999 ]] ; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/STEllAR-GROUP/hpx.git"
 else
-	SRC_URI="http://stellar.cct.lsu.edu/files/${PN}_${PV}.tar.gz"
+	SRC_URI="https://stellar.cct.lsu.edu/files/${PN}_${PV}.tar.gz"
 	KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
 	S="${WORKDIR}/${PN}_${PV}"
 fi
-
-inherit cmake-utils fortran-2 multilib python-any-r1
+inherit cmake-utils fortran-2 python-any-r1
 
 DESCRIPTION="C++ runtime system for parallel and distributed applications"
-HOMEPAGE="http://stellar.cct.lsu.edu/tag/hpx/"
+HOMEPAGE="https://stellar.cct.lsu.edu/tag/hpx/"
 
 SLOT="0"
 LICENSE="Boost-1.0"
 IUSE="doc examples jemalloc papi +perftools tbb test"
 
+REQUIRED_USE="?? ( jemalloc perftools tbb )"
+
+BDEPEND="
+	virtual/pkgconfig
+	doc? ( >=dev-libs/boost-1.56.0-r1[tools] )
+"
 RDEPEND="
-	tbb? ( dev-cpp/tbb )
-	>=dev-libs/boost-1.49
-	papi? ( dev-libs/papi )
-	perftools? ( >=dev-util/google-perftools-1.7.1 )
+	>=dev-libs/boost-1.49:=
 	>=sys-apps/hwloc-1.8
 	>=sys-libs/libunwind-1
 	sys-libs/zlib
+	papi? ( dev-libs/papi )
+	perftools? ( >=dev-util/google-perftools-1.7.1 )
+	tbb? ( dev-cpp/tbb )
 "
 DEPEND="${RDEPEND}
-	virtual/pkgconfig
 	test? ( ${PYTHON_DEPS} )
-	doc? ( >=dev-libs/boost-1.56.0-r1:=[tools] )
 "
-REQUIRED_USE="
-	jemalloc? ( !perftools !tbb )
-	perftools? ( !jemalloc !tbb )
-	tbb? ( !jemalloc !perftools )
-	"
 
 pkg_setup() {
 	use test && python-any-r1_pkg_setup
@@ -62,8 +59,8 @@ src_configure() {
 		-DHPX_PAPI=$(usex papi)
 	)
 
-	use perftools && mycmakeargs+=( -DHPX_MALLOC=tcmalloc )
 	use jemalloc && mycmakeargs+=( -DHPX_MALLOC=jemalloc )
+	use perftools && mycmakeargs+=( -DHPX_MALLOC=tcmalloc )
 	use tbb && mycmakeargs+=( -DHPX_MALLOC=tbbmalloc )
 
 	cmake-utils_src_configure
@@ -76,7 +73,7 @@ src_test() {
 
 src_install() {
 	cmake-utils_src_install
-	mv "${D}/usr/bin/spin" "${D}/usr/bin/hpx_spin"
+	mv "${D}/usr/bin/spin" "${D}/usr/bin/hpx_spin" || die
 	if use examples; then
 		insinto /usr/share/doc/${PF}
 		doins -r examples


             reply	other threads:[~2019-05-15 14:53 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-05-15 14:53 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-13  8:11 [gentoo-commits] repo/gentoo:master commit in: sys-cluster/hpx/ Joonas Niilola
2024-07-13  8:11 Joonas Niilola
2023-09-16  7:57 Joonas Niilola
2023-09-16  7:57 Joonas Niilola
2023-09-16  7:57 Joonas Niilola
2023-05-20  6:28 Sam James
2023-05-20  6:28 Sam James
2022-06-03  8:35 Florian Schmaus
2021-10-29 22:23 Sam James
2021-08-26 22:21 Sam James
2021-08-26 22:21 Sam James
2021-07-23 14:33 Joonas Niilola
2021-07-23 14:33 Joonas Niilola
2021-07-23 14:33 Joonas Niilola
2021-07-17 18:18 David Seifert
2020-10-31  9:47 Joonas Niilola
2020-07-24 12:03 Joonas Niilola
2020-07-24 12:03 Joonas Niilola
2020-03-28 14:21 Joonas Niilola
2020-03-28 14:21 Joonas Niilola
2020-03-28 14:21 Joonas Niilola
2020-03-28 14:21 Joonas Niilola
2020-03-25 11:17 Joonas Niilola
2020-02-10 13:26 Michał Górny
2020-01-01 13:28 Andreas Sturmlechner
2019-05-15 14:53 Andreas Sturmlechner
2019-05-15 14:53 Andreas Sturmlechner
2019-05-15 14:53 Andreas Sturmlechner
2018-12-07 15:40 Christoph Junghans
2018-10-30 10:36 Christoph Junghans
2017-12-10 10:27 Pacho Ramos
2017-07-12 14:43 Pacho Ramos
2017-05-26 22:54 David Seifert
2017-05-12  8:07 Slawek Lis
2017-05-04  6:21 Slawek Lis
2016-07-22 20:12 Christoph Junghans
2016-07-22 20:12 Christoph Junghans

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1557932005.a27abbaa95b9b5f585223a2680c560f093f389f4.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox